/*
 * 文 件 名:  OpEnergyStrategyStepLogServiceImpl
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/11/27
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.OpEnergyStrategyStepLog;
import com.ruoyi.ems.mapper.OpEnergyStrategyStepLogMapper;
import com.ruoyi.ems.service.IOpEnergyStrategyStepLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 策略步骤日志Service实现
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/11/27]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Service
public class OpEnergyStrategyStepLogServiceImpl implements IOpEnergyStrategyStepLogService {
    @Autowired
    private OpEnergyStrategyStepLogMapper stepLogMapper;

    @Override
    public List<OpEnergyStrategyStepLog> selectStepLogList(OpEnergyStrategyStepLog stepLog) {
        return stepLogMapper.selectStepLogList(stepLog);
    }

    @Override
    public List<OpEnergyStrategyStepLog> selectByExecId(String execId) {
        return stepLogMapper.selectByExecId(execId);
    }

    @Override
    public int insertStepLog(OpEnergyStrategyStepLog stepLog) {
        return stepLogMapper.insertStepLog(stepLog);
    }

    @Override
    public int updateStepLog(OpEnergyStrategyStepLog stepLog) {
        return stepLogMapper.updateStepLog(stepLog);
    }

    @Override
    public int insertStepLogBatch(List<OpEnergyStrategyStepLog> stepLogs) {
        return stepLogMapper.insertStepLogBatch(stepLogs);
    }
}